VIC Configuration failed image scale factor exceeds 16, use GPU for Transformation

Please provide complete information as applicable to your setup.

• Hardware Platform (Jetson / GPU) Jetson
• DeepStream Version Deepstream 6.2
• JetPack Version (valid for Jetson only) jetpack 5.1.1
• TensorRT Version 8.5.2
• Issue Type( questions, new requirements, bugs) questions
• How to reproduce the issue ? (This is for bugs. Including which sample app is using, the configuration files content, the command line used and other details for reproducing)
using a pipeline with primary detector(nvinfer) which network resolution is 1x3x960x1280 and use secondary classifier(nvinfer) whicn network resolution is
1x3x64x64.
• Requirement details( This is for new requirement. Including the module name-for which plugin or for which sample application, the function description)
I know deepstream on jeton only support scale factor with 1/16. But I change my post process forcing the ObjectMeta output of detector(nvinfer) is gcd of 16. It still report this error to interupt my pipline.

Please set “scaling-compute-hw=1” in your SGIE gst-nvinfer configuration file. There is no such limitation with GPU scaling.

BTW, can you post your SGIE gst-nvinfer configuration file here?

gpu-id=0
net-scale-factor=0.003921568627
force-implicit-batch-dim=1
classifier-async-mode=0
batch-size=1
model-color-format=0
#infer-dims=3;64;64
model-engine-file=train5-x-224-best-1225.onnx_fp16_1x3x64x64_orin.engine
labelfile-path=label.txt
onnx-file=cls-train2-1222-best.onnx
network-mode=2
network-type=1
num-detected-classes=2
process-mode=2
scaling-compute-hw=2
interval=0
output-blob-names=output0
parse-classifier-func-name=NvDsInferClassiferParseCustomSoftmax
custom-lib-path=libnvds_infercustomparser.so
classifier-threshold=0.000000
input-object-min-width=16
input-object-min-height=16

this is my sgie config. but still gets wrong. im using jetson orin with jp5.1.1

Please set “scaling-compute-hw=1” in your SGIE gst-nvinfer configuration file.

This bug is fixed in DeepStream 6.3. Please upgrade to the latest DeepStream version.

OK. thx

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.